org.eclipse.ease.ui.launching

## Interface LaunchConstants

    public interface LaunchConstants

### Field Summary

Fields
`static java.lang.String` `DISPLAY_DYNAMIC_CODE`
`static java.lang.String` `FILE_LOCATION`
`static java.lang.String` `LIBRARIES`
`static java.lang.String` `SCRIPT_ENGINE`
`static java.lang.String` `STARTUP_PARAMETERS`
`static java.lang.String` `SUSPEND_ON_SCRIPT_LOAD`
`static java.lang.String` `SUSPEND_ON_STARTUP`

### Method Summary

All Methods Static Methods Default Methods
`static java.util.Collection<java.lang.String>` `getLibraries(ILaunchConfiguration configuration)`
`static java.lang.String` `serializeLibraries(java.util.List<java.lang.String> libraries)`
`static java.util.Collection<java.lang.String>` `unserializeLibraries(java.lang.String libraries)`

### Field Detail

#### FILE_LOCATION

    static final java.lang.String FILE_LOCATION

See Also:
  Constant Field Values

#### SUSPEND_ON_STARTUP

    static final java.lang.String SUSPEND_ON_STARTUP

See Also:
  Constant Field Values

#### DISPLAY_DYNAMIC_CODE

    static final java.lang.String DISPLAY_DYNAMIC_CODE

See Also:
  Constant Field Values

#### LIBRARIES

    static final java.lang.String LIBRARIES

See Also:
  Constant Field Values

#### SCRIPT_ENGINE

    static final java.lang.String SCRIPT_ENGINE

See Also:
  Constant Field Values

#### STARTUP_PARAMETERS

    static final java.lang.String STARTUP_PARAMETERS

See Also:
  Constant Field Values

#### SUSPEND_ON_SCRIPT_LOAD

    static final java.lang.String SUSPEND_ON_SCRIPT_LOAD

See Also:
  Constant Field Values

### Method Detail

#### getLibraries

    static java.util.Collection<java.lang.String> getLibraries(ILaunchConfiguration configuration)
                                                        throws CoreException

Throws:
  `CoreException`

#### unserializeLibraries

    static java.util.Collection<java.lang.String> unserializeLibraries(java.lang.String libraries)

#### serializeLibraries

    static java.lang.String serializeLibraries(java.util.List<java.lang.String> libraries)